# IOFetchException (Crawler-commons 0.7 API)
Date: 2016-11-21

crawlercommons.fetcher

## Class IOFetchException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - crawlercommons.fetcher.BaseFetchException
      - - crawlercommons.fetcher.IOFetchException

All Implemented Interfaces:
  Serializable

Deprecated.
As of release 0.6. We recommend directly using Apache HttpClient, async-http-client, or any other robust, industrial-strength HTTP clients.

    @Deprecated
    public class IOFetchException
    extends BaseFetchException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IOFetchException()` Deprecated.
`IOFetchException(String url, IOException e)` Deprecated.

### Method Summary

### Methods inherited from class crawlercommons.fetcher.BaseFetchException

`compareToBase, equals, getCause, getLocalizedMessage, getMessage, getStackTrace, getUrl, hashCode, initCause, printStackTrace, printStackTrace, printStackTrace, readBaseFields, setStackTrace, toString, writeBaseFields`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getSuppressed`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IOFetchException

    public IOFetchException()

Deprecated.

#### IOFetchException

    public IOFetchException(String url,
                            IOException e)

Deprecated.